[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Heads up: openssl and gnutls rebase in rawhide



On Thu, 29 Nov 2007 14:40:20 +0100, Tomas Mraz wrote:

> I have decided to complete the dependency breakage which will be caused
> by the openldap update because many packages which depend on openldap
> libraries depend also on OpenSSL or GNUTLS. So to spare a few rebuild
> cycles I will do openssl and gnutls rebase in sync. There should not be
> any API changes so simple rebuild will be sufficient.
> 
> I'm still undecided whether we should have a compat package for openssl
> in Fedora so if you know any 3rd party software which will be broken by
> the openssl libraries SONAME change and which is actively used on
> current Fedoras, please let me know.

Since this OpenSSL upgrade in rawhide, using the PyOpenSSL-based Plague
buildsys fails with a handshake problem. Server code throws
Error: [('SSL routines', 'SSL3_GET_CLIENT_HELLO', 'length mismatch')]

https://www.redhat.com/archives/epel-devel-list/2007-December/msg00071.html


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]